DDA
Listar boletos do DDA
Lista os boletos registrados no CPF/CNPJ da conta. Exige inscrição em ACTIVE, INACTIVATING ou INACTIVATE_FAILED.
GET
/v1/dda/invoicesBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brEscopos requeridos
dda/read
Query Parameters
statusopcionalOPEN, PAID ou CANCELLED
OPEN
startDateopcionalfiltra por vencimento (ISO 8601)
2026-10-01T00:00:00Z
endDateopcionalfiltra por vencimento (ISO 8601)
2026-10-31T23:59:59Z
limitopcional1-100, default 50
50
lastKeyopcionalcursor devolvido em pagination.lastKey
eyJQSyI6IkFDQ09VTlQjNDYwODUxNjg2In0=
const url = 'https://sandbox.validapay.com.br/v1/dda/invoices?status=OPEN&startDate=2026-10-01T00%3A00%3A00Z&endDate=2026-10-31T23%3A59%3A59Z&limit=50&lastKey=eyJQSyI6IkFDQ09VTlQjNDYwODUxNjg2In0%3D';
const options = {
method: 'GET',
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200Sucesso▾
JSON
{
"items": [
{
"accountNumber": "460851686",
"documentNumber": "12345678901",
"barCode": "23790000000000297500000000000000000000000000",
"digitableLine": "23790000000000000000000000000000000000000000000",
"payer": {
"documentNumber": "12345678901",
"name": "Maria Souza",
"personType": "F"
},
"beneficiary": {
"documentNumber": "37536531000103",
"name": "Fornecedor Exemplo LTDA",
"fantasyName": "Fornecedor Exemplo",
"personType": "J"
},
"description": "Fixed DueDate",
"amount": 29.75,
"dueDate": "2026-10-14T00:00:00Z",
"registrationDate": "2026-10-01T00:00:00Z",
"overdueDate": "2026-11-14T00:00:00Z",
"status": "OPEN",
"interest": {
"code": 5,
"description": "Exempt",
"amount": 0
},
"fine": {
"code": 3,
"description": "Exempt",
"amount": 0
},
"discounts": [],
"createdAt": "2026-10-07T12:32:37.043Z",
"updatedAt": "2026-10-07T12:32:37.043Z"
}
],
"pagination": {
"total": 63,
"totalPages": 2,
"limit": 50,
"hasMore": true,
"lastKey": "eyJQSyI6IkFDQ09VTlQjNDYwODUxNjg2In0="
}
}403DDA não ativo▾
JSON
{
"error": {
"message": "Ative o DDA para ver os boletos",
"code": "DDA_SUBSCRIPTION_NOT_ACTIVE",
"details": null,
"timestamp": "2026-10-07T12:32:37.043Z"
}
}400Cursor inválido▾
JSON
{
"error": {
"message": "lastKey invalido",
"code": "INVALID_CURSOR",
"details": null,
"timestamp": "2026-10-07T12:32:37.043Z"
}
}403Indisponível em sandbox▾
JSON
{
"error": {
"message": "Não disponível em ambiente de Sandbox",
"code": "DDA_NOT_AVAILABLE_IN_SANDBOX",
"details": null,
"timestamp": "2026-10-07T12:32:37.043Z"
}
}